libzypp 17.37.10

zypp::bit::bit_detail::Gen1Bits< TInt, _size > Struct Template Reference

Generate constants with _size trailing '1'-bits. More...

`#include <zypp/Bit.h>`

## Static Public Attributes
static const TInt | value = (Gen1Bits<TInt,_size-1>::value << 1)+1

## Detailed Description

template<class TInt, unsigned _size>
struct zypp::bit::bit_detail::Gen1Bits< TInt, _size >

Generate constants with _size trailing '1'-bits.

Definition at line 35 of file Bit.h.

## Member Data Documentation

## ◆ value

template<class TInt, unsigned _size>

const TInt zypp::bit::bit_detail::Gen1Bits< TInt, _size >::value = (Gen1Bits<TInt,_size-1>::value << 1)+1
| static

Definition at line 37 of file Bit.h.

The documentation for this struct was generated from the following file:

- zypp/Bit.h